Subject: apache-1.3.20 + OpenSSL-0.9.6c + ModSSL-2.8.4-1.3.20

From: "OSX Developer" <[email-masked]>
Date: Fri, 1 Feb 2002 04:12:50 -0800

Well I am using OSX Server 10.1.2
I found a patch for OpenSSL-0.9.6c so it compiles and passes the 'make test' tests (before rc4test failed).

Then I do the ModSSL thing to apache-1.3.20.
First I get an error saying 
'-undefined error' (instead of '-undefined support' in the make file) must be used when -twolevel_namespace is in effect
After the change to '-undefined error' that problem goes away.

Then it says 
can't locate file for -ldbm
I looked (via locate and find) for a libdbm.a and there is no such thing.
What do I do know? suffer? How can I build a libdbm.a for OSX Server 10.1.2 if that's what it needs?

(I made a few tweaks to apache myself ... those sould not matter, but are needed.)

I found in /usr/libexec/httpd/libssl.so and tried putting it into modules/ssl. It did compile to some degree! Yet I never see the module in the module list displayed via the 'httpd -l' module list command. Nor can I seem to add mod_rewrite.o!?! I changed both Configuration and Configuration.apaci but not luck.
I noticed mod_ssl puts SharedModule libssl.so and it has to make a mod_ssl.so, but I would think it should only work with an...
AddModule mod_ssl.o 
I tried renaming mod_ssl.so to mod_ssl.o, nothing works though. 
I really need a libdbm.a I suppose (Apple?) or a patch the size of a small tent.

------------------------------------------------------------
WWW.COM - Where the Web Begins! http://www.www.com
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]